summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-12-07 23:10:22 +0000
committerMike Frysinger <vapier@gentoo.org>2005-12-07 23:10:22 +0000
commiteb97e699f2dac4a3b8e6d8a6fa474b0ed1e01b92 (patch)
treedfba37ef44d7fd686e1b93a7642c94e1e5f100d4 /eclass/linux-mod.eclass
parent+pcmcia (diff)
downloadhistorical-eb97e699f2dac4a3b8e6d8a6fa474b0ed1e01b92.tar.gz
historical-eb97e699f2dac4a3b8e6d8a6fa474b0ed1e01b92.tar.bz2
historical-eb97e699f2dac4a3b8e6d8a6fa474b0ed1e01b92.zip
add some basic sanity checks
Diffstat (limited to 'eclass/linux-mod.eclass')
-rw-r--r--eclass/linux-mod.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index c7dcb2060556..0e3f24c638c8 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.55 2005/10/23 15:25:48 weeve Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.56 2005/12/07 23:10:22 vapier Exp $
# Description: This eclass is used to interface with linux-info in such a way
# to provide the functionality required and initial functions
@@ -532,9 +532,9 @@ linux-mod_src_install() {
objdir=${objdir:-${srcdir}}
einfo "Installing ${modulename} module"
- cd ${objdir}
+ cd ${objdir} || die "${objdir} does not exist"
insinto ${ROOT}lib/modules/${KV_FULL}/${libdir}
- doins ${modulename}.${KV_OBJ}
+ doins ${modulename}.${KV_OBJ} || die "doins ${modulename}.${KV_OBJ} failed"
cd ${OLDPWD}
generate_modulesd ${objdir}/${modulename}